//======*******==============*******=======//
//   ~ ETnam mod ~   ||  ~ shader v 1.0 ~  //        
//======*******==============*******=======//
//        Gore/Blood effects shader        //
//================*******==================//

//======*******======//
//       POOL        //
//======*******======//

blood_pool_1
{
	nopicmip
	polygonOffset
	{
		map gore/pool/blood_pool_1.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map gore/pool/blood_pool_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}	
}
blood_pool_2
{
	nopicmip
	polygonOffset
	{
		map gore/pool/blood_pool_2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map gore/pool/blood_pool_2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}
blood_pool_3
{
	nopicmip
	polygonOffset
	{
		map gore/pool/blood_pool_3.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map gore/pool/blood_pool_3.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}
blood_pool_4
{
	nopicmip
	polygonOffset
	{
		map gore/pool/blood_pool_4.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map gore/pool/blood_pool_4.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}
blood_pool_5
{
	nopicmip
	polygonOffset
	{
		map gore/pool/blood_pool_5.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map gore/pool/blood_pool_5.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
	}
}
bloodtrail
{
	entityMergable
	{
		map gore/pool/blood_pool_4.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
blood_drag
{
	polygonOffset
	{
		map gore/pool/blood_drag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//======*******======//
//       KNIFE       //
//======*******======//

blood_knife_1
{
	polygonoffset
	{
		map gore/knife/blood_knife_1.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_knife_2
{
	polygonoffset
	{
		map gore/knife/blood_knife_2.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_knife_3
{
	polygonoffset
	{
		map gore/knife/blood_knife_3.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_knife_4
{
	polygonoffset
	{
		map gore/knife/blood_knife_4.tga
		blendfunc blend
		rgbgen identity
	}
}

//======*******======//
//        BODY       //
//======*******======//

blood_body_1
{	
	polygonoffset
	{
		map gore/body/blood_body_1.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_body_2
{	
	polygonoffset
	{
		map gore/body/blood_body_2.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_body_3
{	
	polygonoffset
	{
		map gore/body/blood_body_3.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_body_4
{	
	polygonoffset
	{
		map gore/body/blood_body_4.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_leg_1
{	
	polygonoffset
	{
		map gore/body/blood_leg_1.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_leg_2
{	
	polygonoffset
	{
		map gore/body/blood_leg_2.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_leg_3
{	
	polygonoffset
	{
		map gore/body/blood_leg_3.tga
		blendfunc blend
		rgbgen identity
	}
}
blood_leg_4
{	
	polygonoffset
	{
		map gore/body/blood_leg_4.tga
		blendfunc blend
		rgbgen identity
	}
}

//======*******======//
//        GIBS       //
//======*******======//

models/gore/gibs
{
	{
		map gore/gib/gibs.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingDiffuse 
	}
	{
		map gore/gib/gibs.jpg
		blendFunc GL_ZERO GL_ONE
		rgbGen lightingDiffuse 
	}
}
models/gore/hand
{
	{
		map gore/gib/hand.jpg
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
models/gore/brain
{
	{
		map gore/gib/brain.jpg
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}
models/gore/rib_cage
{
	{
		map gore/gib/rib_cage.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

//======*******======//
//       BURNT       //
//======*******======//

burnt_head
{	
	polygonoffset
	{
		map gore/burnt/burnt_head.tga
		blendfunc blend
		rgbgen identity
	}
}
burnt_body
{	
	polygonoffset
	{
		map gore/burnt/burnt_body.tga
		blendfunc blend
		rgbgen identity
	}
}
burnt_legs
{	
	polygonoffset
	{
		map gore/burnt/burnt_legs.tga
		blendfunc blend
		rgbgen identity
	}
}